# scbnc.tcl 
#   v1.0
# Remake of the shoutcast.tcl
# Easy and simple to use.
#
# Add it to the bot, then type !radio in the channel
# and the bot will write the current song's title.
#
# by bnc - 2010. febr 11  / 2.17 AM
#

set url "http://radio.url.here:port"

package require http

bind pub -|- !radio get_shoutcast_song

proc get_shoutcast_song {nick uhost hand chan arg} {
   global url
   ::http::config -useragent "Mozilla/5.0; BNC"
   	set http_req [::http::geturl $url -timeout 2000]
	if {[::http::status $http_req] != "ok"} {
		puthelp "PRIVMSG $chan :No music.";
	}
	set data [::http::data $http_req]
	::http::cleanup $http_req
	if {[regexp {<font class=default>Current Song: </font></td><td><font class=default><b>([^<]+)</b>} $data x title]} {
		set title [string map {{_} { }} $title]
		puthelp "PRIVMSG $chan :\002A On Air\002: $title ( http://www.sys0p.net/stream/url/here/ )"
	} else {
		puthelp "PRIVMSG $chan :Server is not online, sorry."
			}

}